DETCOM_SIMPLE MACRO ARG
    COBJ "detcom:nheader 0.0 SIMPLE \"\ARG\" \"Standard FITS\""
    ENDM
DETCOM_XTENSION MACRO ARG
    COBJ "detcom:nheader 0.0 XTENSION \"\ARG\" \"\""
    ENDM
DETCOM_BITPIX MACRO ARG
    COBJ "detcom:nheader 1.0 BITPIX \"\ARG\" \"Bits per pixel\""
    ENDM
DETCOM_NAXIS MACRO ARG
    COBJ "detcom:nheader 2.0 NAXIS \"\ARG\" \"Number of axes\""
    ENDM
DETCOM_NAXIS1 MACRO ARG
    COBJ "detcom:nheader 2.1 NAXIS1 \"\ARG\" \"Number of pixel columns\""
    ENDM
DETCOM_NAXIS2 MACRO ARG
    COBJ "detcom:nheader 2.2 NAXIS2 \"\ARG\" \"Number of pixel rows\""
    ENDM
DETCOM_NAXIS3 MACRO ARG
    COBJ "detcom:nheader 2.3 NAXIS3 \"\ARG\" \"Number of stacked frames (cube)\""
    ENDM
DETCOM_EXTEND MACRO ARG
    COBJ "detcom:nheader 3.0 EXTEND \"\ARG\" \"File contains extensions\""
    ENDM
DETCOM_NEXTEND MACRO ARG
    COBJ "detcom:nheader 3.1 NEXTEND \"\ARG\" \"Number of extensions\""
    ENDM
DETCOM_GROUPS MACRO ARG
    COBJ "detcom:nheader 4.0 GROUPS \"\ARG\" \"File contains random groups records\""
    ENDM
DETCOM_PCOUNT MACRO ARG
    COBJ "detcom:nheader 5.0 PCOUNT \"\ARG\" \"Random parameters before each array in a group\""
    ENDM
DETCOM_GCOUNT MACRO ARG
    COBJ "detcom:nheader 6.0 GCOUNT \"\ARG\" \"Number of random groups\""
    ENDM
DETCOM_TFIELDS MACRO ARG
    COBJ "detcom:nheader 7.0000 TFIELDS \"\ARG\" \"Number of fields in a row\""
    ENDM
DETCOM_TFORM1 MACRO ARG
    COBJ "detcom:nheader 7.0011 TFORM1 \"\ARG\" \"Table format for field 1\""
    ENDM
DETCOM_TBCOL1 MACRO ARG
    COBJ "detcom:nheader 7.0012 TBCOL1 \"\ARG\" \"Start Column for field 1\""
    ENDM
DETCOM_TFORM2 MACRO ARG
    COBJ "detcom:nheader 7.0021 TFORM2 \"\ARG\" \"Table format for field 2\""
    ENDM
DETCOM_TBCOL2 MACRO ARG
    COBJ "detcom:nheader 7.0022 TBCOL2 \"\ARG\" \"Start Column for field 2\""
    ENDM
DETCOM_TFORM3 MACRO ARG
    COBJ "detcom:nheader 7.0031 TFORM3 \"\ARG\" \"Table format for field 3\""
    ENDM
DETCOM_TBCOL3 MACRO ARG
    COBJ "detcom:nheader 7.0032 TBCOL3 \"\ARG\" \"Start Column for field 3\""
    ENDM
DETCOM_TFORM4 MACRO ARG
    COBJ "detcom:nheader 7.0041 TFORM4 \"\ARG\" \"Table format for field 4\""
    ENDM
DETCOM_TBCOL4 MACRO ARG
    COBJ "detcom:nheader 7.0042 TBCOL4 \"\ARG\" \"Start Column for field 4\""
    ENDM
DETCOM_TFORM5 MACRO ARG
    COBJ "detcom:nheader 7.0051 TFORM5 \"\ARG\" \"Table format for field 5\""
    ENDM
DETCOM_TBCOL5 MACRO ARG
    COBJ "detcom:nheader 7.0052 TBCOL5 \"\ARG\" \"Start Column for field 5\""
    ENDM
DETCOM_CMMTOBS MACRO ARG
    COBJ "detcom:nheader 51.0 CMMTOBS \"\ARG\" \"\""
    ENDM
DETCOM_CMMTSEQ MACRO ARG
    COBJ "detcom:nheader 52.0 CMMTSEQ \"\ARG\" \"\""
    ENDM
DETCOM_OBJECT MACRO ARG
    COBJ "detcom:nheader 53.0 OBJECT \"\ARG\" \"\""
    ENDM
DETCOM_OBSERVER MACRO ARG
    COBJ "detcom:nheader 54.0 OBSERVER \"\ARG\" \"\""
    ENDM
DETCOM_PI_NAME MACRO ARG
    COBJ "detcom:nheader 55.0 PI_NAME \"\ARG\" \"\""
    ENDM
DETCOM_RUNID MACRO ARG
    COBJ "detcom:nheader 56.0 RUNID \"\ARG\" \"\""
    ENDM
DETCOM_FILENAME MACRO ARG
    COBJ "detcom:nheader 71.00 FILENAME \"\ARG\" \"Base filename at acquisition\""
    ENDM
DETCOM_PATHNAME MACRO ARG
    COBJ "detcom:nheader 71.01 PATHNAME \"\ARG\" \"Original directory name at acquisition\""
    ENDM
DETCOM_EXTNAME MACRO ARG
    COBJ "detcom:nheader 71.10 EXTNAME \"\ARG\" \"Extension name\""
    ENDM
DETCOM_EXTVER MACRO ARG
    COBJ "detcom:nheader 71.20 EXTVER \"\ARG\" \"Extension version\""
    ENDM
DETCOM_DATE MACRO ARG
    COBJ "detcom:nheader 74.00 DATE \"\ARG\" \"UTC Date of file creation\""
    ENDM
DETCOM_HSTTIME MACRO ARG
    COBJ "detcom:nheader 74.10 HSTTIME \"\ARG\" \"Local time in Hawaii\""
    ENDM
DETCOM_IMAGESWV MACRO ARG
    COBJ "detcom:nheader 77.00 IMAGESWV \"\ARG\" \"Image creation software version\""
    ENDM
DETCOM_DETECTOR MACRO ARG
    COBJ "detcom:nheader 101.0 DETECTOR \"\ARG\" \"\""
    ENDM
DETCOM_DETSIZE MACRO ARG
    COBJ "detcom:nheader 102.0 DETSIZE \"\ARG\" \"Total data pixels in full mosaic\""
    ENDM
DETCOM_RASTER MACRO ARG
    COBJ "detcom:nheader 103.0 RASTER \"\ARG\" \"\""
    ENDM
DETCOM_CCDSUM MACRO ARG
    COBJ "detcom:nheader 105.0 CCDSUM \"\ARG\" \"Binning factors\""
    ENDM
DETCOM_CCDBIN1 MACRO ARG
    COBJ "detcom:nheader 105.1 CCDBIN1 \"\ARG\" \"Binning factor along first axis\""
    ENDM
DETCOM_CCDBIN2 MACRO ARG
    COBJ "detcom:nheader 105.2 CCDBIN2 \"\ARG\" \"Binning factor along second axis\""
    ENDM
DETCOM_PIXSIZE MACRO ARG
    COBJ "detcom:nheader 110.0 PIXSIZE \"\ARG\" \"Pixel size for both axes (microns)\""
    ENDM
DETCOM_PIXSIZE1 MACRO ARG
    COBJ "detcom:nheader 111.1 PIXSIZE1 \"\ARG\" \"Pixel size for axis 1 (microns)\""
    ENDM
DETCOM_PIXSIZE2 MACRO ARG
    COBJ "detcom:nheader 111.2 PIXSIZE2 \"\ARG\" \"Pixel size for axis 2 (microns)\""
    ENDM
DETCOM_PIXSCAL1 MACRO ARG
    COBJ "detcom:nheader 112.1 PIXSCAL1 \"\ARG\" \"Pixel scale for axis 1 (arcsec/pixel)\""
    ENDM
DETCOM_PIXSCAL2 MACRO ARG
    COBJ "detcom:nheader 112.2 PIXSCAL2 \"\ARG\" \"Pixel scale for axis 2 (arcsec/pixel)\""
    ENDM
DETCOM_AMPLIST MACRO ARG
    COBJ "detcom:nheader 130.0 AMPLIST \"\ARG\" \"List of amplifiers for this image\""
    ENDM
DETCOM_AMPNAME MACRO ARG
    COBJ "detcom:nheader 131.0 AMPNAME \"\ARG\" \"Amplifier name\""
    ENDM
DETCOM_CCDSIZE MACRO ARG
    COBJ "detcom:nheader 140.0 CCDSIZE \"\ARG\" \"Detector imaging area size\""
    ENDM
DETCOM_DETSEC MACRO ARG
    COBJ "detcom:nheader 140.1 DETSEC \"\ARG\" \"Mosaic area of the detector\""
    ENDM
DETCOM_DETSECA MACRO ARG
    COBJ "detcom:nheader 140.11 DETSECA \"\ARG\" \"Mosaic area of the detector from Amp A\""
    ENDM
DETCOM_DETSECB MACRO ARG
    COBJ "detcom:nheader 140.12 DETSECB \"\ARG\" \"Mosaic area of the detector from Amp B\""
    ENDM
DETCOM_DETSECC MACRO ARG
    COBJ "detcom:nheader 140.13 DETSECC \"\ARG\" \"Mosaic area of the detector from Amp C\""
    ENDM
DETCOM_DETSECD MACRO ARG
    COBJ "detcom:nheader 140.14 DETSECD \"\ARG\" \"Mosaic area of the detector from Amp D\""
    ENDM
DETCOM_DATASEC MACRO ARG
    COBJ "detcom:nheader 140.2 DATASEC \"\ARG\" \"Imaging area of the detector\""
    ENDM
DETCOM_BIASSEC MACRO ARG
    COBJ "detcom:nheader 140.3 BIASSEC \"\ARG\" \"Overscan (bias) area of the detector\""
    ENDM
DETCOM_ASECA MACRO ARG
    COBJ "detcom:nheader 141.11 ASECA \"\ARG\" \"Section from Amp A (non-contig. bias excluded)\""
    ENDM
DETCOM_ASECB MACRO ARG
    COBJ "detcom:nheader 141.12 ASECB \"\ARG\" \"Section from Amp B (non-contig. bias excluded)\""
    ENDM
DETCOM_ASECC MACRO ARG
    COBJ "detcom:nheader 141.13 ASECC \"\ARG\" \"Section from Amp C (non-contig. bias excluded)\""
    ENDM
DETCOM_ASECD MACRO ARG
    COBJ "detcom:nheader 141.14 ASECD \"\ARG\" \"Section from Amp D (non-contig. bias excluded)\""
    ENDM
DETCOM_BSECA MACRO ARG
    COBJ "detcom:nheader 141.21 BSECA \"\ARG\" \"Overscan (bias) area from Amp A\""
    ENDM
DETCOM_BSECB MACRO ARG
    COBJ "detcom:nheader 141.22 BSECB \"\ARG\" \"Overscan (bias) area from Amp B\""
    ENDM
DETCOM_BSECC MACRO ARG
    COBJ "detcom:nheader 141.23 BSECC \"\ARG\" \"Overscan (bias) area from Amp C\""
    ENDM
DETCOM_BSECD MACRO ARG
    COBJ "detcom:nheader 141.24 BSECD \"\ARG\" \"Overscan (bias) area from Amp D\""
    ENDM
DETCOM_CSECA MACRO ARG
    COBJ "detcom:nheader 141.31 CSECA \"\ARG\" \"Section in full CCD for DSECA\""
    ENDM
DETCOM_CSECB MACRO ARG
    COBJ "detcom:nheader 141.32 CSECB \"\ARG\" \"Section in full CCD for DSECB\""
    ENDM
DETCOM_CSECC MACRO ARG
    COBJ "detcom:nheader 141.33 CSECC \"\ARG\" \"Section in full CCD for DSECC\""
    ENDM
DETCOM_CSECD MACRO ARG
    COBJ "detcom:nheader 141.34 CSECD \"\ARG\" \"Section in full CCD for DSECD\""
    ENDM
DETCOM_DSECA MACRO ARG
    COBJ "detcom:nheader 141.41 DSECA \"\ARG\" \"Imaging area from Amp A\""
    ENDM
DETCOM_DSECB MACRO ARG
    COBJ "detcom:nheader 141.42 DSECB \"\ARG\" \"Imaging area from Amp B\""
    ENDM
DETCOM_DSECC MACRO ARG
    COBJ "detcom:nheader 141.43 DSECC \"\ARG\" \"Imaging area from Amp C\""
    ENDM
DETCOM_DSECD MACRO ARG
    COBJ "detcom:nheader 141.44 DSECD \"\ARG\" \"Imaging area from Amp D\""
    ENDM
DETCOM_TSECA MACRO ARG
    COBJ "detcom:nheader 141.51 TSECA \"\ARG\" \"Trim section for Amp A\""
    ENDM
DETCOM_TSECB MACRO ARG
    COBJ "detcom:nheader 141.52 TSECB \"\ARG\" \"Trim section for Amp B\""
    ENDM
DETCOM_TSECC MACRO ARG
    COBJ "detcom:nheader 141.53 TSECC \"\ARG\" \"Trim section for Amp C\""
    ENDM
DETCOM_TSECD MACRO ARG
    COBJ "detcom:nheader 141.54 TSECD \"\ARG\" \"Trim section for Amp D\""
    ENDM
DETCOM_CCDNAME MACRO ARG
    COBJ "detcom:nheader 150.1 CCDNAME \"\ARG\" \"Name of the CCD (manufacturer reference)\""
    ENDM
DETCOM_CCDNICK MACRO ARG
    COBJ "detcom:nheader 150.2 CCDNICK \"\ARG\" \"Nickname of the CCD\""
    ENDM
DETCOM_MAXLIN MACRO ARG
    COBJ "detcom:nheader 152.0 MAXLIN \"\ARG\" \"Maximum linearity value (ADU)\""
    ENDM
DETCOM_MAXLINA MACRO ARG
    COBJ "detcom:nheader 152.01 MAXLINA \"\ARG\" \"Maximum linearity value for Amp A (ADU)\""
    ENDM
DETCOM_MAXLINB MACRO ARG
    COBJ "detcom:nheader 152.02 MAXLINB \"\ARG\" \"Maximum linearity value for Amp B (ADU)\""
    ENDM
DETCOM_MAXLINC MACRO ARG
    COBJ "detcom:nheader 152.03 MAXLINC \"\ARG\" \"Maximum linearity value for Amp C (ADU)\""
    ENDM
DETCOM_MAXLIND MACRO ARG
    COBJ "detcom:nheader 152.04 MAXLIND \"\ARG\" \"Maximum linearity value for Amp D (ADU)\""
    ENDM
DETCOM_SATURATE MACRO ARG
    COBJ "detcom:nheader 152.1 SATURATE \"\ARG\" \"Saturation value (ADU)\""
    ENDM
DETCOM_GAIN MACRO ARG
    COBJ "detcom:nheader 155.0 GAIN \"\ARG\" \"Amplifier gain (electrons/ADU)\""
    ENDM
DETCOM_GAINA MACRO ARG
    COBJ "detcom:nheader 155.01 GAINA \"\ARG\" \"Amp A gain (electrons/ADU)\""
    ENDM
DETCOM_GAINB MACRO ARG
    COBJ "detcom:nheader 155.02 GAINB \"\ARG\" \"Amp B gain (electrons/ADU)\""
    ENDM
DETCOM_GAINC MACRO ARG
    COBJ "detcom:nheader 155.03 GAINC \"\ARG\" \"Amp C gain (electrons/ADU)\""
    ENDM
DETCOM_GAIND MACRO ARG
    COBJ "detcom:nheader 155.04 GAIND \"\ARG\" \"Amp D gain (electrons/ADU)\""
    ENDM
DETCOM_RDNOISE MACRO ARG
    COBJ "detcom:nheader 156.0 RDNOISE \"\ARG\" \"Read noise (electrons)\""
    ENDM
DETCOM_RDNOISEA MACRO ARG
    COBJ "detcom:nheader 156.01 RDNOISEA \"\ARG\" \"Amp A read noise (electrons)\""
    ENDM
DETCOM_RDNOISEB MACRO ARG
    COBJ "detcom:nheader 156.02 RDNOISEB \"\ARG\" \"Amp B read noise (electrons)\""
    ENDM
DETCOM_RDNOISEC MACRO ARG
    COBJ "detcom:nheader 156.03 RDNOISEC \"\ARG\" \"Amp C read noise (electrons)\""
    ENDM
DETCOM_RDNOISED MACRO ARG
    COBJ "detcom:nheader 156.04 RDNOISED \"\ARG\" \"Amp D read noise (electrons)\""
    ENDM
DETCOM_DCURRENT MACRO ARG
    COBJ "detcom:nheader 157.0 DCURRENT \"\ARG\" \"Dark current (ADU/pixel/second)\""
    ENDM
DETCOM_DARKCUR MACRO ARG
    COBJ "detcom:nheader 157.1 DARKCUR \"\ARG\" \"Dark current (e-/pixel/hour)\""
    ENDM
DETCOM_QEPOINTS MACRO ARG
    COBJ "detcom:nheader 158.0 QEPOINTS \"\ARG\" \"QE%@wavelength in nm\""
    ENDM
DETCOM_CONSWV MACRO ARG
    COBJ "detcom:nheader 170.0 CONSWV \"\ARG\" \"Controller software DSPID and SERNO versions\""
    ENDM
DETCOM_DETSTAT MACRO ARG
    COBJ "detcom:nheader 180.0 DETSTAT \"\ARG\" \"Detector status\""
    ENDM
DETCOM_DETTEM MACRO ARG
    COBJ "detcom:nheader 190.0 DETTEM \"\ARG\" \"Detector temperature\""
    ENDM
DETCOM_TELESCOP MACRO ARG
    COBJ "detcom:nheader 501.1 TELESCOP \"\ARG\" \"\""
    ENDM
DETCOM_ORIGIN MACRO ARG
    COBJ "detcom:nheader 501.2 ORIGIN \"\ARG\" \"Canada-France-Hawaii Telescope\""
    ENDM
DETCOM_TELSTAT MACRO ARG
    COBJ "detcom:nheader 503.0 TELSTAT \"\ARG\" \"Telescope Control System status\""
    ENDM
DETCOM_TIMESYS MACRO ARG
    COBJ "detcom:nheader 510.0 TIMESYS \"\ARG\" \"Time System for DATExxxx\""
    ENDM
DETCOM_UTIME MACRO ARG
    COBJ "detcom:nheader 512.0 UTIME \"\ARG\" \"Time at start of observation (UT)\""
    ENDM
DETCOM_SIDTIME MACRO ARG
    COBJ "detcom:nheader 514.0 SIDTIME \"\ARG\" \"Sidereal time at start of observation\""
    ENDM
DETCOM_EPOCH MACRO ARG
    COBJ "detcom:nheader 521.0 EPOCH \"\ARG\" \"Equinox of coordinates\""
    ENDM
DETCOM_EQUINOX MACRO ARG
    COBJ "detcom:nheader 521.1 EQUINOX \"\ARG\" \"Equinox of coordinates\""
    ENDM
DETCOM_RADECSYS MACRO ARG
    COBJ "detcom:nheader 522.0 RADECSYS \"\ARG\" \"Coordinate system for equinox (FK4/FK5/GAPPT)\""
    ENDM
DETCOM_RA MACRO ARG
    COBJ "detcom:nheader 522.1 RA \"\ARG\" \"Object right ascension\""
    ENDM
DETCOM_DEC MACRO ARG
    COBJ "detcom:nheader 522.2 DEC \"\ARG\" \"Object declination\""
    ENDM
DETCOM_CTYPE1 MACRO ARG
    COBJ "detcom:nheader 525.211 CTYPE1 \"\ARG\" \"WCS Coordinate type\""
    ENDM
DETCOM_CTYPE2 MACRO ARG
    COBJ "detcom:nheader 525.212 CTYPE2 \"\ARG\" \"WCS Coordinate type\""
    ENDM
DETCOM_CD1_1 MACRO ARG
    COBJ "detcom:nheader 525.411 CD1_1 \"\ARG\" \"WCS Coordinate scale matrix\""
    ENDM
DETCOM_CD1_2 MACRO ARG
    COBJ "detcom:nheader 525.412 CD1_2 \"\ARG\" \"WCS Coordinate scale matrix\""
    ENDM
DETCOM_CD2_1 MACRO ARG
    COBJ "detcom:nheader 525.421 CD2_1 \"\ARG\" \"WCS Coordinate scale matrix\""
    ENDM
DETCOM_CD2_2 MACRO ARG
    COBJ "detcom:nheader 525.422 CD2_2 \"\ARG\" \"WCS Coordinate scale matrix\""
    ENDM
DETCOM_NGUIDER MACRO ARG
    COBJ "detcom:nheader 530.0 NGUIDER \"\ARG\" \"TCS Number of guiders\""
    ENDM
DETCOM_NGUISTAR MACRO ARG
    COBJ "detcom:nheader 530.01 NGUISTAR \"\ARG\" \"TCS number of guide stars/probes in use\""
    ENDM
DETCOM_GUINAME MACRO ARG
    COBJ "detcom:nheader 530.1 GUINAME \"\ARG\" \"TCS guider name\""
    ENDM
DETCOM_GUIEQUIN MACRO ARG
    COBJ "detcom:nheader 530.21 GUIEQUIN \"\ARG\" \"TCS guider equinox\""
    ENDM
DETCOM_GUIRADEC MACRO ARG
    COBJ "detcom:nheader 530.22 GUIRADEC \"\ARG\" \"TCS guider system for equinox\""
    ENDM
DETCOM_GUIRA MACRO ARG
    COBJ "detcom:nheader 530.23 GUIRA \"\ARG\" \"TCS guider right ascension\""
    ENDM
DETCOM_GUIDEC MACRO ARG
    COBJ "detcom:nheader 530.24 GUIDEC \"\ARG\" \"TCS guider declination\""
    ENDM
DETCOM_GUIOBJN MACRO ARG
    COBJ "detcom:nheader 530.3 GUIOBJN \"\ARG\" \"TCS guider object name\""
    ENDM
DETCOM_GUIFLUX MACRO ARG
    COBJ "detcom:nheader 530.6 GUIFLUX \"\ARG\" \"TCS guider flux\""
    ENDM
DETCOM_SKYFLUX MACRO ARG
    COBJ "detcom:nheader 530.8 SKYFLUX \"\ARG\" \"TCS total sky flux\""
    ENDM
DETCOM_GUINAME1 MACRO ARG
    COBJ "detcom:nheader 531.1 GUINAME1 \"\ARG\" \"TCS guider #1 identification\""
    ENDM
DETCOM_GUIEQUI1 MACRO ARG
    COBJ "detcom:nheader 531.21 GUIEQUI1 \"\ARG\" \"TCS guider #1 equinox\""
    ENDM
DETCOM_GUIRADE1 MACRO ARG
    COBJ "detcom:nheader 531.22 GUIRADE1 \"\ARG\" \"TCS guider #1 system for equinox\""
    ENDM
DETCOM_GUIRA1 MACRO ARG
    COBJ "detcom:nheader 531.23 GUIRA1 \"\ARG\" \"TCS guider #1 right ascension\""
    ENDM
DETCOM_GUIDEC1 MACRO ARG
    COBJ "detcom:nheader 531.24 GUIDEC1 \"\ARG\" \"TCS guider #1 declination\""
    ENDM
DETCOM_GUIOBJN1 MACRO ARG
    COBJ "detcom:nheader 531.3 GUIOBJN1 \"\ARG\" \"TCS guider #1 object name\""
    ENDM
DETCOM_GUIFLUX1 MACRO ARG
    COBJ "detcom:nheader 531.6 GUIFLUX1 \"\ARG\" \"TCS guider #1 flux\""
    ENDM
DETCOM_GUINAME2 MACRO ARG
    COBJ "detcom:nheader 532.1 GUINAME2 \"\ARG\" \"TCS guider #2 identification\""
    ENDM
DETCOM_GUIEQUI2 MACRO ARG
    COBJ "detcom:nheader 532.21 GUIEQUI2 \"\ARG\" \"TCS guider #2 equinox\""
    ENDM
DETCOM_GUIRADE2 MACRO ARG
    COBJ "detcom:nheader 532.22 GUIRADE2 \"\ARG\" \"TCS guider #2 system for equinox\""
    ENDM
DETCOM_GUIRA2 MACRO ARG
    COBJ "detcom:nheader 532.23 GUIRA2 \"\ARG\" \"TCS guider #2 right ascension\""
    ENDM
DETCOM_GUIDEC2 MACRO ARG
    COBJ "detcom:nheader 532.24 GUIDEC2 \"\ARG\" \"TCS guider #2 declination\""
    ENDM
DETCOM_GUIOBJN2 MACRO ARG
    COBJ "detcom:nheader 532.3 GUIOBJN2 \"\ARG\" \"TCS guider #2 object name\""
    ENDM
DETCOM_GUIFLUX2 MACRO ARG
    COBJ "detcom:nheader 532.6 GUIFLUX2 \"\ARG\" \"TCS guider #2 flux\""
    ENDM
DETCOM_GUINAME3 MACRO ARG
    COBJ "detcom:nheader 533.1 GUINAME3 \"\ARG\" \"TCS guider #3 identification\""
    ENDM
DETCOM_GUIEQUI3 MACRO ARG
    COBJ "detcom:nheader 533.21 GUIEQUI3 \"\ARG\" \"TCS guider #3 equinox\""
    ENDM
DETCOM_GUIRADE3 MACRO ARG
    COBJ "detcom:nheader 533.22 GUIRADE3 \"\ARG\" \"TCS guider #3 system for equinox\""
    ENDM
DETCOM_GUIRA3 MACRO ARG
    COBJ "detcom:nheader 533.23 GUIRA3 \"\ARG\" \"TCS guider #3 right ascension\""
    ENDM
DETCOM_GUIDEC3 MACRO ARG
    COBJ "detcom:nheader 533.24 GUIDEC3 \"\ARG\" \"TCS guider #3 declination\""
    ENDM
DETCOM_GUIOBJN3 MACRO ARG
    COBJ "detcom:nheader 533.3 GUIOBJN3 \"\ARG\" \"TCS guider #3 object name\""
    ENDM
DETCOM_GUIFLUX3 MACRO ARG
    COBJ "detcom:nheader 533.6 GUIFLUX3 \"\ARG\" \"TCS guider #3 flux\""
    ENDM
DETCOM_GUINAME4 MACRO ARG
    COBJ "detcom:nheader 534.1 GUINAME4 \"\ARG\" \"TCS guider #4 identification\""
    ENDM
DETCOM_GUIEQUI4 MACRO ARG
    COBJ "detcom:nheader 534.21 GUIEQUI4 \"\ARG\" \"TCS guider #4 equinox\""
    ENDM
DETCOM_GUIRADE4 MACRO ARG
    COBJ "detcom:nheader 534.22 GUIRADE4 \"\ARG\" \"TCS guider #4 system for equinox\""
    ENDM
DETCOM_GUIRA4 MACRO ARG
    COBJ "detcom:nheader 534.23 GUIRA4 \"\ARG\" \"TCS guider #4 right ascension\""
    ENDM
DETCOM_GUIDEC4 MACRO ARG
    COBJ "detcom:nheader 534.24 GUIDEC4 \"\ARG\" \"TCS guider #4 declination\""
    ENDM
DETCOM_GUIOBJN4 MACRO ARG
    COBJ "detcom:nheader 534.3 GUIOBJN4 \"\ARG\" \"TCS guider #4 object name\""
    ENDM
DETCOM_GUIFLUX4 MACRO ARG
    COBJ "detcom:nheader 534.6 GUIFLUX4 \"\ARG\" \"TCS guider #4 flux\""
    ENDM
DETCOM_FOCUSID MACRO ARG
    COBJ "detcom:nheader 550.0 FOCUSID \"\ARG\" \"Telescope focus in use\""
    ENDM
DETCOM_TELCONF MACRO ARG
    COBJ "detcom:nheader 550.1 TELCONF \"\ARG\" \"Telescope focus in use\""
    ENDM
DETCOM_FOCUSPOS MACRO ARG
    COBJ "detcom:nheader 551.0 FOCUSPOS \"\ARG\" \"Telescope focus encoder readout\""
    ENDM
DETCOM_TELFOCUS MACRO ARG
    COBJ "detcom:nheader 551.1 TELFOCUS \"\ARG\" \"Telescope focus encoder readout\""
    ENDM
DETCOM_ISUSTATE MACRO ARG
    COBJ "detcom:nheader 560.4 ISUSTATE \"\ARG\" \"ISU control state (Off/Only/TCS/Full/Frozen)\""
    ENDM
DETCOM_FSASTATE MACRO ARG
    COBJ "detcom:nheader 570.4 FSASTATE \"\ARG\" \"FSA control state (Off/On/Paused)\""
    ENDM
DETCOM_FSANMOVE MACRO ARG
    COBJ "detcom:nheader 570.5 FSANMOVE \"\ARG\" \"FSA number of actual moves in last 10 minutes\""
    ENDM
DETCOM_AOBLOOP MACRO ARG
    COBJ "detcom:nheader 711.0 AOBLOOP \"\ARG\" \"AOB closed loop Open/Closed\""
    ENDM
DETCOM_LOOPNES MACRO ARG
    COBJ "detcom:nheader 713.0 LOOPNES \"\ARG\" \"Loop type \"Nested\"/\"Tip/Tilt\"/\"Single\"\""
    ENDM
DETCOM_LOOPOPT MACRO ARG
    COBJ "detcom:nheader 715.0 LOOPOPT \"\ARG\" \"Optimized loop control True/False\""
    ENDM
DETCOM_WFSGOPT MACRO ARG
    COBJ "detcom:nheader 716.0 WFSGOPT \"\ARG\" \"WFS optical gain\""
    ENDM
DETCOM_WFSCOUNT MACRO ARG
    COBJ "detcom:nheader 722.0 WFSCOUNT \"\ARG\" \"Total flux count on WFS\""
    ENDM
DETCOM_ADCPOS MACRO ARG
    COBJ "detcom:nheader 751.0 ADCPOS \"\ARG\" \"AOB ADC position In/Out\""
    ENDM
DETCOM_BEAMSPID MACRO ARG
    COBJ "detcom:nheader 754.0 BEAMSPID \"\ARG\" \"Beam splitter ID\""
    ENDM
DETCOM_BEAMSP MACRO ARG
    COBJ "detcom:nheader 755.0 BEAMSP \"\ARG\" \"Beam splitter description\""
    ENDM
DETCOM_MIRSLIDE MACRO ARG
    COBJ "detcom:nheader 756.0 MIRSLIDE \"\ARG\" \"AOB mirror slide \"F/20\"/\"F/8\"\""
    ENDM
DETCOM_WFSNDID MACRO ARG
    COBJ "detcom:nheader 757.0 WFSNDID \"\ARG\" \"WFS ND filter position\""
    ENDM
DETCOM_FFLAMPON MACRO ARG
    COBJ "detcom:nheader 910.0 FFLAMPON \"\ARG\" \"flatfield lamp status ON/OFF\""
    ENDM
DETCOM_FFLAMP MACRO ARG
    COBJ "detcom:nheader 911.0 FFLAMP \"\ARG\" \"flatfield lamp intensity\""
    ENDM
DETCOM_CLAMP0ON MACRO ARG
    COBJ "detcom:nheader 920.0 CLAMP0ON \"\ARG\" \"comparison lamp 0 status ON/OFF\""
    ENDM
DETCOM_CLAMP0 MACRO ARG
    COBJ "detcom:nheader 920.1 CLAMP0 \"\ARG\" \"comparison lamp 0 description\""
    ENDM
DETCOM_CLAMP1ON MACRO ARG
    COBJ "detcom:nheader 921.0 CLAMP1ON \"\ARG\" \"comparison lamp 1 status ON/OFF\""
    ENDM
DETCOM_CLAMP1 MACRO ARG
    COBJ "detcom:nheader 921.1 CLAMP1 \"\ARG\" \"comparison lamp 1 description\""
    ENDM
DETCOM_CLAMP2ON MACRO ARG
    COBJ "detcom:nheader 922.0 CLAMP2ON \"\ARG\" \"comparison lamp 2 status ON/OFF\""
    ENDM
DETCOM_CLAMP2 MACRO ARG
    COBJ "detcom:nheader 922.1 CLAMP2 \"\ARG\" \"comparison lamp 2 description\""
    ENDM
DETCOM_CLAMP3ON MACRO ARG
    COBJ "detcom:nheader 923.0 CLAMP3ON \"\ARG\" \"comparison lamp 3 status ON/OFF\""
    ENDM
DETCOM_CLAMP3 MACRO ARG
    COBJ "detcom:nheader 923.1 CLAMP3 \"\ARG\" \"comparison lamp 3 description\""
    ENDM
DETCOM_CALIBL0 MACRO ARG
    COBJ "detcom:nheader 930.0 CALIBL0 \"\ARG\" \"lamp 0 ON/OFF\""
    ENDM
DETCOM_CALIBL1 MACRO ARG
    COBJ "detcom:nheader 931.0 CALIBL1 \"\ARG\" \"lamp 1 ON/OFF\""
    ENDM
DETCOM_CALIBL2 MACRO ARG
    COBJ "detcom:nheader 932.0 CALIBL2 \"\ARG\" \"lamp 2 ON/OFF\""
    ENDM
DETCOM_CALIBL3 MACRO ARG
    COBJ "detcom:nheader 933.0 CALIBL3 \"\ARG\" \"lamp 3 ON/OFF\""
    ENDM
DETCOM_CALIBL4 MACRO ARG
    COBJ "detcom:nheader 934.0 CALIBL4 \"\ARG\" \"lamp 4 ON/OFF\""
    ENDM
DETCOM_CALIBL5 MACRO ARG
    COBJ "detcom:nheader 935.0 CALIBL5 \"\ARG\" \"lamp 5 ON/OFF\""
    ENDM
DETCOM_CALIBL6 MACRO ARG
    COBJ "detcom:nheader 936.0 CALIBL6 \"\ARG\" \"lamp 6 ON/OFF\""
    ENDM
DETCOM_CALIBL7 MACRO ARG
    COBJ "detcom:nheader 937.0 CALIBL7 \"\ARG\" \"lamp 7 ON/OFF\""
    ENDM
DETCOM_CALIBL8 MACRO ARG
    COBJ "detcom:nheader 938.0 CALIBL8 \"\ARG\" \"lamp 8 ON/OFF\""
    ENDM
DETCOM_CALIBL9 MACRO ARG
    COBJ "detcom:nheader 939.0 CALIBL9 \"\ARG\" \"lamp 9 ON/OFF\""
    ENDM
DETCOM_FILTERID MACRO ARG
    COBJ "detcom:nheader 1010.1 FILTERID \"\ARG\" \"wheel position\""
    ENDM
DETCOM_FILTER MACRO ARG
    COBJ "detcom:nheader 1010.2 FILTER \"\ARG\" \"description of filter\""
    ENDM
DETCOM_FILTERBW MACRO ARG
    COBJ "detcom:nheader 1010.3 FILTERBW \"\ARG\" \"filter bandwidth\""
    ENDM
DETCOM_FILTERWL MACRO ARG
    COBJ "detcom:nheader 1010.4 FILTERWL \"\ARG\" \"filter wavelength\""
    ENDM
DETCOM_FILTERLB MACRO ARG
    COBJ "detcom:nheader 1010.5 FILTERLB \"\ARG\" \"lower bound of filter (units/%?)\""
    ENDM
DETCOM_FILTERUB MACRO ARG
    COBJ "detcom:nheader 1010.6 FILTERUB \"\ARG\" \"upper bound of filter (units/%?)\""
    ENDM
DETCOM_FILTSLID MACRO ARG
    COBJ "detcom:nheader 1010.7 FILTSLID \"\ARG\" \"filter drawer number\""
    ENDM
DETCOM_WHEELAID MACRO ARG
    COBJ "detcom:nheader 1020.1 WHEELAID \"\ARG\" \"'wheel' A position\""
    ENDM
DETCOM_WHEELADE MACRO ARG
    COBJ "detcom:nheader 1020.2 WHEELADE \"\ARG\" \"description of filter\""
    ENDM
DETCOM_WHEELALB MACRO ARG
    COBJ "detcom:nheader 1020.5 WHEELALB \"\ARG\" \"lower bound of filter A (units/%?)\""
    ENDM
DETCOM_WHEELAUB MACRO ARG
    COBJ "detcom:nheader 1020.6 WHEELAUB \"\ARG\" \"upper bound of filter A (units/%?)\""
    ENDM
DETCOM_WHEELBID MACRO ARG
    COBJ "detcom:nheader 1030.1 WHEELBID \"\ARG\" \"'wheel' B position\""
    ENDM
DETCOM_WHEELBDE MACRO ARG
    COBJ "detcom:nheader 1030.2 WHEELBDE \"\ARG\" \"description of filter\""
    ENDM
DETCOM_WHEELBLB MACRO ARG
    COBJ "detcom:nheader 1030.5 WHEELBLB \"\ARG\" \"lower bound of filter B (units/%?)\""
    ENDM
DETCOM_WHEELBUB MACRO ARG
    COBJ "detcom:nheader 1030.6 WHEELBUB \"\ARG\" \"upper bound of filter B (units/%?)\""
    ENDM
DETCOM_INSTFOC MACRO ARG
    COBJ "detcom:nheader 1101.0 INSTFOC \"\ARG\" \"internal instrument focus value\""
    ENDM
DETCOM_GRISMID MACRO ARG
    COBJ "detcom:nheader 4101.0 GRISMID \"\ARG\" \"grism position\""
    ENDM
DETCOM_GRISM MACRO ARG
    COBJ "detcom:nheader 4102.0 GRISM \"\ARG\" \"grism description\""
    ENDM
DETCOM_GRISSLID MACRO ARG
    COBJ "detcom:nheader 4103.0 GRISSLID \"\ARG\" \"grism drawer number\""
    ENDM
DETCOM_MASKID MACRO ARG
    COBJ "detcom:nheader 4111.0 MASKID \"\ARG\" \"mask position\""
    ENDM
DETCOM_MASK MACRO ARG
    COBJ "detcom:nheader 4112.0 MASK \"\ARG\" \"mask description\""
    ENDM
DETCOM_MASKSLID MACRO ARG
    COBJ "detcom:nheader 4113.0 MASKSLID \"\ARG\" \"mask slider number\""
    ENDM
DETCOM_DISPEL MACRO ARG
    COBJ "detcom:nheader 4201.0 DISPEL \"\ARG\" \"grating description\""
    ENDM
DETCOM_DISPAXIS MACRO ARG
    COBJ "detcom:nheader 4202.0 DISPAXIS \"\ARG\" \"dispersion axis (1 or 2)\""
    ENDM
DETCOM_DISPANG MACRO ARG
    COBJ "detcom:nheader 4203.0 DISPANG \"\ARG\" \"grating angle in degrees\""
    ENDM
DETCOM_WAVELENG MACRO ARG
    COBJ "detcom:nheader 4204.0 WAVELENG \"\ARG\" \"central wavelength in angstroms\""
    ENDM
DETCOM_ORDER MACRO ARG
    COBJ "detcom:nheader 4205.0 ORDER \"\ARG\" \"spectral order\""
    ENDM
DETCOM_GRSETUP MACRO ARG
    COBJ "detcom:nheader 4206.0 GRSETUP \"\ARG\" \"grating setup constant in degrees\""
    ENDM
DETCOM_OPENANG2 MACRO ARG
    COBJ "detcom:nheader 4207.0 OPENANG2 \"\ARG\" \"setup const in degrees (opening angle / 2)\""
    ENDM
DETCOM_GRISMANG MACRO ARG
    COBJ "detcom:nheader 4208.0 GRISMANG \"\ARG\" \"rel.angle between prisms in degrees\""
    ENDM
DETCOM_SLICER MACRO ARG
    COBJ "detcom:nheader 4210.0 SLICER \"\ARG\" \"image slicer in place\""
    ENDM
DETCOM_HART1A MACRO ARG
    COBJ "detcom:nheader 4221.0 HART1A \"\ARG\" \"hartman mask 1a position OPEN/CLOSED\""
    ENDM
DETCOM_HART1B MACRO ARG
    COBJ "detcom:nheader 4221.1 HART1B \"\ARG\" \"hartman mask 1b position OPEN/CLOSED\""
    ENDM
DETCOM_HART2 MACRO ARG
    COBJ "detcom:nheader 4222.0 HART2 \"\ARG\" \"hartman mask 2 position OPEN/CLOSED\""
    ENDM
DETCOM_HART3 MACRO ARG
    COBJ "detcom:nheader 4223.0 HART3 \"\ARG\" \"hartman mask 3 position OPEN/CLOSED\""
    ENDM
DETCOM_HART4 MACRO ARG
    COBJ "detcom:nheader 4224.0 HART4 \"\ARG\" \"hartman mask 4 position OPEN/CLOSED\""
    ENDM
DETCOM_COUDETRN MACRO ARG
    COBJ "detcom:nheader 4230.0 COUDETRN \"\ARG\" \"coude train color UV/RED/CAFE\""
    ENDM
DETCOM_EMFILTER MACRO ARG
    COBJ "detcom:nheader 4240.0 EMFILTER \"\ARG\" \"exposure meter filter description\""
    ENDM
DETCOM_EMCNTS MACRO ARG
    COBJ "detcom:nheader 4241.0 EMCNTS \"\ARG\" \"exposure meter counts at end\""
    ENDM
DETCOM_MIDEXPTM MACRO ARG
    COBJ "detcom:nheader 4242.0 MIDEXPTM \"\ARG\" \"mid-exposure time (seconds)\""
    ENDM
DETCOM_CAFE MACRO ARG
    COBJ "detcom:nheader 4290.0 CAFE \"\ARG\" \"CAFE is being used Null/INUSE\""
    ENDM
DETCOM_AUXINST MACRO ARG
    COBJ "detcom:nheader 4301.0 AUXINST \"\ARG\" \"fabry perot etalon description\""
    ENDM
DETCOM_NUMCHAN MACRO ARG
    COBJ "detcom:nheader 4303.0 NUMCHAN \"\ARG\" \"number of channels per scan\""
    ENDM
DETCOM_CURCHAN MACRO ARG
    COBJ "detcom:nheader 4304.0 CURCHAN \"\ARG\" \"current channel\""
    ENDM
DETCOM_BINVAL MACRO ARG
    COBJ "detcom:nheader 4305.0 BINVAL \"\ARG\" \"binary control value\""
    ENDM
DETCOM_GRFPPOS MACRO ARG
    COBJ "detcom:nheader 4320.0 GRFPPOS \"\ARG\" \"GriF position of FP carriage - In/Out\""
    ENDM
DETCOM_GRWAVORD MACRO ARG
    COBJ "detcom:nheader 4321.1 GRWAVORD \"\ARG\" \"GriF wavelength of order used to scan\""
    ENDM
DETCOM_GRWAVCAL MACRO ARG
    COBJ "detcom:nheader 4321.2 GRWAVCAL \"\ARG\" \"GriF wavelength of calibration spectral line\""
    ENDM
DETCOM_GRBCVCAL MACRO ARG
    COBJ "detcom:nheader 4321.3 GRBCVCAL \"\ARG\" \"GriF BCV at calibration line\""
    ENDM
DETCOM_GRSCANTY MACRO ARG
    COBJ "detcom:nheader 4322.0 GRSCANTY \"\ARG\" \"GriF type of scan - bcv, wave, velocity\""
    ENDM
DETCOM_GRWAVBEG MACRO ARG
    COBJ "detcom:nheader 4323.1 GRWAVBEG \"\ARG\" \"GriF wavelength at beginning of scan\""
    ENDM
DETCOM_GRWAVSTP MACRO ARG
    COBJ "detcom:nheader 4323.2 GRWAVSTP \"\ARG\" \"GriF wavelength step\""
    ENDM
DETCOM_GRWAVCUR MACRO ARG
    COBJ "detcom:nheader 4323.3 GRWAVCUR \"\ARG\" \"GriF current observed wavelength\""
    ENDM
DETCOM_GRBCVBEG MACRO ARG
    COBJ "detcom:nheader 4324.1 GRBCVBEG \"\ARG\" \"GriF Binary Contol Value at beginning of scan\""
    ENDM
DETCOM_GRBCVSTP MACRO ARG
    COBJ "detcom:nheader 4324.2 GRBCVSTP \"\ARG\" \"GriF BCV step\""
    ENDM
DETCOM_GRBCVCUR MACRO ARG
    COBJ "detcom:nheader 4324.3 GRBCVCUR \"\ARG\" \"GriF applied BCV\""
    ENDM
DETCOM_GRNBCHAN MACRO ARG
    COBJ "detcom:nheader 4325.1 GRNBCHAN \"\ARG\" \"GriF number of channels in scan\""
    ENDM
DETCOM_GRCURRCH MACRO ARG
    COBJ "detcom:nheader 4325.2 GRCURRCH \"\ARG\" \"GriF current channel\""
    ENDM
DETCOM_GRBCV_X MACRO ARG
    COBJ "detcom:nheader 4326.1 GRBCV_X \"\ARG\" \"GriF X Binary Control Value FP\""
    ENDM
DETCOM_GRBCV_Y MACRO ARG
    COBJ "detcom:nheader 4326.2 GRBCV_Y \"\ARG\" \"GriF Y Binary Control Value FP\""
    ENDM
DETCOM_TESPMIRE MACRO ARG
    COBJ "detcom:nheader 9101.0 TESPMIRE \"\ARG\" \"03 temp, surface, primary mirror east deg C\""
    ENDM
DETCOM_TESPMIRW MACRO ARG
    COBJ "detcom:nheader 9102.0 TESPMIRW \"\ARG\" \"02 temp, surface, primary mirror west deg C\""
    ENDM
DETCOM_TESPMIRS MACRO ARG
    COBJ "detcom:nheader 9103.0 TESPMIRS \"\ARG\" \"01 temp, surface, primary mirror west side deg C\""
    ENDM
DETCOM_TEAPMCLW MACRO ARG
    COBJ "detcom:nheader 9104.0 TEAPMCLW \"\ARG\" \"54 temp, air, primary mirror cell west deg C\""
    ENDM
DETCOM_TEAMIRCI MACRO ARG
    COBJ "detcom:nheader 9105.0 TEAMIRCI \"\ARG\" \"58 temp, air, mirror cooling in at unit deg C\""
    ENDM
DETCOM_TEAMIRCO MACRO ARG
    COBJ "detcom:nheader 9106.0 TEAMIRCO \"\ARG\" \"27 temp, air, mirror cooling out at cell deg C\""
    ENDM
DETCOM_TEAPMSPN MACRO ARG
    COBJ "detcom:nheader 9107.0 TEAPMSPN \"\ARG\" \"65 temp, air, mirror spigot north cass deg C\""
    ENDM
DETCOM_TEAPMSPS MACRO ARG
    COBJ "detcom:nheader 9108.0 TEAPMSPS \"\ARG\" \"64 temp, air, mirror spigot nouth M3 deg C\""
    ENDM
DETCOM_TEATRNGE MACRO ARG
    COBJ "detcom:nheader 9109.0 TEATRNGE \"\ARG\" \"23 temp, air, top ring east deg C\""
    ENDM
DETCOM_TEATRNGW MACRO ARG
    COBJ "detcom:nheader 9110.0 TEATRNGW \"\ARG\" \"06 temp, air, top ring west deg C\""
    ENDM
DETCOM_TEANRLSB MACRO ARG
    COBJ "detcom:nheader 9111.0 TEANRLSB \"\ARG\" \"19 temp, air, north rail support beam deg C\""
    ENDM
DETCOM_TESHRSET MACRO ARG
    COBJ "detcom:nheader 9112.0 TESHRSET \"\ARG\" \"08 temp, surface, horseshoe east top deg C\""
    ENDM
DETCOM_TESTELTL MACRO ARG
    COBJ "detcom:nheader 9113.0 TESTELTL \"\ARG\" \"49 temp, surface, telescope truss low deg C\""
    ENDM
DETCOM_TESTELTH MACRO ARG
    COBJ "detcom:nheader 9114.0 TESTELTH \"\ARG\" \"52 temp, surface, telescope truss high deg C\""
    ENDM
DETCOM_TEALOWWS MACRO ARG
    COBJ "detcom:nheader 9115.0 TEALOWWS \"\ARG\" \"38 temp, air, dome lower weather stat side deg C\""
    ENDM
DETCOM_TEATOPWS MACRO ARG
    COBJ "detcom:nheader 9116.0 TEATOPWS \"\ARG\" \"36 temp, air, dome top weather stat side deg C\""
    ENDM
DETCOM_TEATOPOP MACRO ARG
    COBJ "detcom:nheader 9117.0 TEATOPOP \"\ARG\" \"37 temp, air, dome top opposite weath side deg C\""
    ENDM
DETCOM_TEA2INCH MACRO ARG
    COBJ "detcom:nheader 9118.0 TEA2INCH \"\ARG\" \"45 temp, air, two inches above fifth floor deg C\""
    ENDM
DETCOM_TEA2INEB MACRO ARG
    COBJ "detcom:nheader 9119.0 TEA2INEB \"\ARG\" \"53 temp, air, two inches up by electronics deg C\""
    ENDM
DETCOM_TEA6FOOT MACRO ARG
    COBJ "detcom:nheader 9120.0 TEA6FOOT \"\ARG\" \"43 temp, air, six feet above fifth floor deg C\""
    ENDM
DETCOM_TESCONRM MACRO ARG
    COBJ "detcom:nheader 9121.0 TESCONRM \"\ARG\" \"61 temp, surface, floor above control room deg C\""
    ENDM
DETCOM_TESPIERN MACRO ARG
    COBJ "detcom:nheader 9122.0 TESPIERN \"\ARG\" \"59 temp, surface, floor by north pier deg C\""
    ENDM
DETCOM_TESPIERS MACRO ARG
    COBJ "detcom:nheader 9123.0 TESPIERS \"\ARG\" \"60 temp, surface, floor by south pier deg C\""
    ENDM
DETCOM_TEAWTHRT MACRO ARG
    COBJ "detcom:nheader 9124.0 TEAWTHRT \"\ARG\" \"35 temp, air, weathertron deg C\""
    ENDM
DETCOM_TEMPERAT MACRO ARG
    COBJ "detcom:nheader 9125.0 TEMPERAT \"\ARG\" \"86 temp, air, weather tower deg C\""
    ENDM
DETCOM_WINDSPED MACRO ARG
    COBJ "detcom:nheader 9126.0 WINDSPED \"\ARG\" \"84 wind speed, weather tower knots\""
    ENDM
DETCOM_WINDDIR MACRO ARG
    COBJ "detcom:nheader 9127.0 WINDDIR \"\ARG\" \"85 wind direction, weather tower deg (N=0 E=90)\""
    ENDM
DETCOM_RELHUMID MACRO ARG
    COBJ "detcom:nheader 9128.0 RELHUMID \"\ARG\" \"87 relative humidity, weather tower %\""
    ENDM
DETCOM_PRESSURE MACRO ARG
    COBJ "detcom:nheader 9129.0 PRESSURE \"\ARG\" \"31 barometric pressure, control room mb\""
    ENDM
DETCOM_CRUNID MACRO ARG
    COBJ "detcom:nheader 15101.0 CRUNID \"\ARG\" \"Elixir camera run ID\""
    ENDM
