/* Copyright (C) 1991, 94    Canada-France-Hawaii Telescope Corp.        */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING    */
/*****************************************************************************
 *
 * file: expdata.h
 * $Header: exp_data.h,v 1.2 94/12/14 17:34:13 thomas Exp $
 * $Locker:  $
 *
 * This file declares detstates. 
 *
 * To add a detector:
 *     ) change DETNUM
 *     ) change MAXSTATES
 *     ) clone a line from detstate
 *     ) remake
 *
 * HISTORY
 *
 * who       when           what
 * ------    -----------    ----------------------------------------------
 * jk        23 Jan 1989    Original
 *
 * $Log:	exp_data.h,v $
 * Revision 1.2  94/12/14  17:34:13  17:34:13  thomas (Jim Thomas)
 * Just changed copyright date
 * 
 * Revision 1.1  91/09/24  17:45:51  17:45:51  steve (Steven Smith)
 * Original checkin
 * 
 *****************************************************************************/


#define DETNUM 5        /* number of detectors */
#define MAXSTATES 7     /* maximum number of states allowed */   

static char *detstate[DETNUM][MAXSTATES] = {
{"ccd",     EXP_EXPOSE, EXP_HOLD, EXP_RESTART, EXP_STOP, EXP_ABORT, EXP_BREAK},
{"fts",     EXP_EXPOSE, EXP_HOLD, EXP_RESTART, EXP_STOP, EXP_ABORT, EXP_BREAK},
{"reticon", EXP_EXPOSE, EXP_HOLD, EXP_RESTART, EXP_STOP, EXP_ABORT, EXP_EXTEND},
{"fake",    EXP_EXPOSE, EXP_HOLD, EXP_RESTART, EXP_STOP, EXP_ABORT, EXP_BREAK},
{"default", EXP_EXPOSE, EXP_HOLD, EXP_RESTART, EXP_STOP, EXP_ABORT, EXP_BREAK}
};

