/* Copyright (C) 1991,1994    Canada-France-Hawaii Telescope Corp.       */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING         */

/*
 * this test program contains all the message types, one each, except for
 * debug
 */

#include <errno.h>

#include "cfht.h"
#include "exits.h"

int main ()
{
    cfht_log(CFHT_MAIN, CFHT_LOG_ID, "AllTypes");
    cfht_log(CFHT_MAIN, CFHT_START, "starting call");
    cfht_log(CFHT_MAIN, CFHT_STATUS, "status call");
    cfht_log(CFHT_MAIN, CFHT_LOGONLY, "log only call");
    cfht_log(CFHT_MAIN, CFHT_WARN, "warning call");
    cfht_log(CFHT_MAIN, CFHT_ERROR, "error call");
    errno = ENOTTY;
    cfht_log(CFHT_MAIN, CFHT_ERRNO, "errno call with not a tty");
    cfht_log(CFHT_MAIN, CFHT_FATAL, "fatal call, should report error");
    cfht_log(CFHT_MAIN, CFHT_TIMING, "timing call 1");
    sleep(1);
    cfht_log(CFHT_MAIN, CFHT_TIMING, "one second later");
    cfht_log(CFHT_MAIN, CFHT_DONE, "done call");
    exit(EXIT_PASS);
}
