/* Copyright (C) 1991,1994    Canada-France-Hawaii Telescope Corp.       */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING         */

/*
 * this test program contains one status and one debug call for each library
 */

#include "cfht.h"
#include "exits.h"

int main ()
{
    cfht_log(CFHT_MAIN, CFHT_LOG_ID, "AllWhos");
    cfht_log(CFHT_MAIN, CFHT_START, "starting call");
    cfht_log(CFHT_MAIN, CFHT_STATUS, "MAIN status call");
    cfht_log(CFHT_MAIN, CFHT_DEBUG, "MAIN debug call");
    cfht_log(CFHT_LIB, CFHT_STATUS, "unregistered library status call");
    cfht_log(CFHT_LIB, CFHT_DEBUG, "unregistered library debug call");
    cfht_log(CFHT_LIBCFHT, CFHT_STATUS, "CFHT library status call");
    cfht_log(CFHT_LIBCFHT, CFHT_DEBUG, "CFHT library debug call");
    cfht_log(CFHT_LIBCFP, CFHT_STATUS, "CFP library status call");
    cfht_log(CFHT_LIBCFP, CFHT_DEBUG, "CFP library debug call");
    cfht_log(CFHT_LIBCAMAC, CFHT_STATUS, "CAMAC library status call");
    cfht_log(CFHT_LIBCAMAC, CFHT_DEBUG, "CAMAC library debug call");
    cfht_log(CFHT_LIBCCD, CFHT_STATUS, "CCD library status call");
    cfht_log(CFHT_LIBCCD, CFHT_DEBUG, "CCD library debug call");
    cfht_log(CFHT_LIBFF, CFHT_STATUS, "FITS library status call");
    cfht_log(CFHT_LIBFF, CFHT_DEBUG, "FITS library debug call");
    cfht_log(CFHT_LIBHH, CFHT_STATUS, "High HP-IB library status call");
    cfht_log(CFHT_LIBHH, CFHT_DEBUG, "High HP-IB library debug call");
    cfht_log(CFHT_LIBMUSIC, CFHT_STATUS, "Music library status call");
    cfht_log(CFHT_LIBMUSIC, CFHT_DEBUG, "Music library debug call");
    cfht_log(CFHT_LIBOCS, CFHT_STATUS, "OCS library status call");
    cfht_log(CFHT_LIBOCS, CFHT_DEBUG, "OCS library debug call");
    cfht_log(CFHT_LIBRET, CFHT_STATUS, "Reticon library status call");
    cfht_log(CFHT_LIBRET, CFHT_DEBUG, "Reticon library debug call");
    cfht_log(CFHT_MAIN, CFHT_DONE, "done call");
    exit(EXIT_PASS);
}
