/****************************************************************************
    Copyright (C) 1991	Canada-France-Hawaii Telescope Corp.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact information:
    CFHT, PO Box 1597, Kamuela, HI 96743, USA
    daprog@cfht.hawaii.edu

****************************************************************************/
#include <cfht/cfht.h>
#include <cfht/cfp.h>


main (argc, argv)
int argc;
char *argv[];
{
    int rval;
    char invoke[40];
    char buf[1024];
    FILE_ID id;
    int Value;
    double val;

    /* handle user input */
    id = cfp_parse(CFP_PAR, argc, argv);
    
    /* get current value of required variable */
    cfp_getcur(id, "str", buf, CFP_STRING, sizeof(buf));

    /* do some custom work */
    strncat(buf,buf,strlen(buf));

    /* custom work changed value, so save new change */
    cfp_putcur(id, "str", buf, CFP_STRING);

    cfp_getcur(id, "int", (void *) &Value, CFP_STRING, sizeof Value);

    /* save changes since parse in real file */
    cfp_putf(id);    /* only needed because of putcur */

}

