/* Copyright (C) 1991	Canada-France-Hawaii Telescope Corp.            */
/* This program is distributed WITHOUT any warranty, and is under the	*/
/* terms of the GNU General Public License, see the file COPYING	*/
#include <cfht/cfht.h>
#include <cfht/ui.h>
#include "camera"

extern int exit();
extern void gotone();

char *robuttons[] =
    {
    "No!",
    "Yes!"
    };

PFV rofuncs[] =
    {
    gotone,
    gotone
    };

char *abortbuttons[] =
    {
    "No!",
    "Yes!"
    };

PFV abortfuncs[] =
    {
    gotone,
    gotone
    };

struct chmbox rocheck =
    {
    "Are sure you want to read out?",
    camera_width, camera_height, camera_bits,
    2, robuttons, rofuncs
    };

struct chmbox abortcheck =
    {
    "Are sure you want to abort?",
    camera_width, camera_height, camera_bits,
    2, abortbuttons, abortfuncs
    };

char *ilables[] =
    {
    "\\KERRead Out",
    "\\KEAAbort",
    "\\=",
    "Quit",
    };

PFV ifuncs[] =
    {
    NULL,
    NULL,
    NULL,
    exit
    };

struct chmbox *imboxes[] =
    {
    &rocheck,
    &abortcheck,
    NULL,
    NULL
    };

struct chicon icon =
    {
    "CCD Status",
    20, -20,
    camera_width, camera_height, camera_bits,
    "CCD Control",
    4,
    ilables,
    ifuncs,
    imboxes
    };
