#include <stdio.h>
#include <unistd.h>
#include <signal.h>
#include "cfht.h"
#include "exits.h"
int
main()
{
  int i;
  pid_t child = fork();
  
  if (child==0) {
    cfht_signal(SIGALRM, CFHT_SIG_TRAP);
    fprintf(stderr,"cfht_delay(3000)...");
    fflush(stderr);
    cfht_delay(3000);
    if (!cfht_signal_event(SIGALRM))
      fprintf(stderr,"didn't get any signals!\n");
    else
      fprintf(stderr,"ok\n");
    fflush(stderr);
    fprintf(stderr,"cfht_sleep(3000,1)...");
    fflush(stderr);
    if (cfht_sleep(3000,1)!=0)
      fprintf(stderr,"returned early!\n");
    else if (!cfht_signal_event(SIGALRM))
      fprintf(stderr,"didn't get any signals!\n");
    else 
      fprintf(stderr,"ok\n");
    fflush(stderr);
    fprintf(stderr,"cfht_sleep(3000,0)...");
    fflush(stderr);
    if (cfht_sleep(3000,0)!=-1)
      fprintf(stderr,"didn't return early!\n");
    if (!cfht_signal_event(SIGALRM))
      fprintf(stderr,"didn't get any signals!\n");
    else
      fprintf(stderr,"ok\n");
    fflush(stderr);
    _exit(EXIT_PASS);
  }
  
  for (i=0; i<30; i++) {
    cfht_delay(500);
    kill(child, SIGALRM);
  }
}
  
    
