/****************************************************************************
    Copyright (C) 1991	Canada-France-Hawaii Telescope Corp.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact information:
    CFHT, PO Box 1597, Kamuela, HI 96743, USA
    daprog@cfht.hawaii.edu

****************************************************************************/
#include <cfht/cfht.h>
#include <cfht/ui.h>
#include <cfht/exits.h>

extern struct chicon icon;

main (argc, argv)
int argc;
char *argv[];
{
    int rval;
    char invoke[40];

    if (argv[1][0] == '-')
	{
	sleep(atoi(argv[2]));
	exit(EXIT_FAIL);
	}
    sprintf(invoke, "%s - %s", argv[0], argv[1]);
    rval = ui_handler(invoke, &icon, 0);
    printf("rval = 0x0%x\n", rval);
    sleep(5);
    exit(EXIT_PASS);
}

gotone(item, button)
    int item;
    int button;
{
    printf("item = %d, button = %d, sleeping\n", item, button);
    sleep(5);
    printf("back from sleep\n");
}
