/* Copyright (C) 1994    Canada-France-Hawaii Telescope Corp.            */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING    */
/*!****************************************************************************
* FILE
* cfp_gdata.c
* $Header: cfp_gdata.c,v 2.1 94/12/14 12:48:52 thomas Exp $
* $Locker:  $
*
* ROUTINES
*
* [none]
*    This file contains global variables used in various places in the
*    configuration file parser routines.
*
* INVOKED
*    none
*
* PARAMETERS IN
*    none
*
* PARAMETERS OUT
*    none
*
* FUNCTION RETURNS
*    none
*
* GLOBALS
*    FileEntryType FileEntryTable[] - table used for private file information
*
* HISTORY
* who          when            what
* ---------    ------------    ----------------------------------------------
* jab          11 Feb 1988     Original coding
*
* $Log:	cfp_gdata.c,v $
 * Revision 2.1  94/12/14  12:48:52  12:48:52  thomas (Jim Thomas)
 * Changed cfht/cfht.h to cfht.h, cfht/cfp.h to cfp.h, added cfp_internal.h
 * Changed data definitions to version 2 FileEntryTable
 * 
 * Revision 1.1  91/09/24  17:10:09  17:10:09  steve (Steven Smith)
 * Original checkin
 * 
*
****************************************************************************!*/

#include "cfht.h"
#include "cfp.h"
#include "cfp_internal.h"

/*********************
 * global references *
 *********************/

/* private file instance array */
FileEntryType FileEntryTable[CFP_MAXINST + 1];
