/* Copyright (C) 1991,1994    Canada-France-Hawaii Telescope Corp.       */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING         */

/*
 * this test program exercises the cfht_logv call (as opposed to cfht_log)
 */

#include <string.h>
#include <errno.h>

#include "cfht.h"
#include "exits.h"

int main ()
{
    cfht_log(CFHT_MAIN, CFHT_LOG_ID, "logv test");
    cfht_log(CFHT_MAIN, CFHT_START, "starting call");
    cfht_logv(CFHT_MAIN, CFHT_STATUS, "logv with no arguments");
    cfht_logv(CFHT_MAIN, CFHT_STATUS, "logv should be 1=%d", 1);
    cfht_logv(CFHT_MAIN, CFHT_STATUS, "logv should be 'ab'='%s'", "ab");
    cfht_logv(CFHT_MAIN, CFHT_STATUS, "logv should be 1.5=%f", 1.5);
    cfht_logv(CFHT_MAIN, CFHT_STATUS, "logv should be 1-5: %d %d %d %d %d", 1,
	      2, 3, 4, 5);
    cfht_logv(CFHT_MAIN, CFHT_STATUS, "logv with strerror ENOTTY '%s'",
	      strerror(ENOTTY));
    cfht_log(CFHT_MAIN, CFHT_DONE, "done call");
    exit(EXIT_PASS);
}
