#! /bin/sh

Log=./LogFile-.cfg.state
unset CFHTLOGU
CFHTLOGS=$Log;export CFHTLOGS
unset CFHTDEBUG CFHTLIBCFP CFHTLIB

#
# function to run one file past ReadWriteOne and diff the result
#
DoOne ()
{
  Base=`basename $1`
  cp $1 $Base.ORIG
  chmod 644 $Base.ORIG
  cp $Base.ORIG $Base
  echo "=========================================================" >>$Log
  echo "  running $1 as $Base" >>$Log
  echo "  running $1 as $Base"
  echo "---------------------------------------------------------" >>$Log
  ./ReadWriteOne $Base >>$Log 2>&1
  Status=$?
  if [ $Status -gt 127 ]
    then
      echo "@@@@@@@@@@@@@@ BOMB  @@@@@@@@@@@@@@@@@" >>$Log
      exit 1
    fi
  echo "---------------------------------------------------------" >>$Log
  diff -bwit $Base.ORIG $Base >>$Log
  /bin/rm -f $Base.ORIG $Base
}

make -k ReadWriteOne >$Log 2>&1

#
# then do all the cfg and state files in two steps
#   first find all the conf directories
#   then for each directory find all the par files
#
for dir in `remsh saturn -n find $cfhtdir/dev -name conf -print | grep  /medusa/ | sort`
  do
    wholedir=$dir
    echo starting $wholedir >>$Log
    echo starting $wholedir
    for i in `remsh saturn -n "find $wholedir \( -name '*.cfg' -o -name '*.state' \) -print | grep -v RCS | grep -v OLD | sort"`
      do
	DoOne $i
      done
    echo "##########################################################" >>$Log
  done

/bin/rm -f ReadWriteOne
