#! /bin/sh

Log=./Log-diffOneTwo
CFHTLOGU=$Log;export CFHTLOGU
unset CFHTLOGS CFHTDEBUG CFHTLIBCFP CFHTLIB

make -k ReadWriteOne >$Log 2>&1

for dir in `remsh mars -n /bin/ls -F /users/observer | grep /`
do
  wholedir=/users/observer/$dir
  echo starting $wholedir >>$Log
  echo starting $wholedir
  for i in `remsh mars -n "find $wholedir \( -name '*.par' -o -name .,config \) -print"`
  do
    Base=`basename $i`
    cp $i $Base.ORIG
    chmod 644 $Base.ORIG
    cp $Base.ORIG $Base
    echo "=========================================================" >>$Log
    echo "  running $i as $Base" >>$Log
    echo "  running $i as $Base"
    echo "---------------------------------------------------------" >>$Log
    ./ReadWriteOne $Base >>$Log 2>&1
    Status=$?
    if [ $Status -gt 127 ]
      then
	echo bomb >>$Log
	exit 1
    fi
    if [ $Status -eq 0 ]
      then
	mv $Base $Base.NEW
	cp $Base.NEW $Base
	echo "---------------------------------------------------------" >>$Log
	echo "  running $i again" >>$Log
	./ReadWriteOne $Base >>$Log 2>&1
	Status=$?
	if [ $Status -gt 127 ]
	  then
	    echo bomb >>$Log
	    exit 1
	fi
	if [ $Status -eq 0 ]
	  then
	    echo "-----------------------------------------------------" >>$Log
	    echo "  diff first run to second" >>$Log
	    if diff -t $Base.NEW $Base >/dev/null
	      then
		echo **same** >>$Log
	      else
		echo **different!!** >>$Log
		diff -t $Base.NEW $Base >>$Log
	    fi
	fi
    fi
    /bin/rm -f $Base.ORIG $Base.NEW $Base
  done
  echo "##########################################################" >>$Log
done

/bin/rm -f ReadWriteOne
