/****************************************************************************
    Copyright (C) 1991	Canada-France-Hawaii Telescope Corp.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact information:
    CFHT, PO Box 1597, Kamuela, HI 96743, USA
    daprog@cfht.hawaii.edu

****************************************************************************/
#include <signal.h>
#include <cfht/exits.h>

int catch();
int gotit;

main(argc, argv)
    int argc;
    char **argv;
{
    int ret;

    gotit = 0;
    signal(SIGINT, catch);

    if (argc != 3)
	{
	printf("usage: %s msec ignsig\n", argv[0]);
	exit(EXIT_FAIL);
	}

    ret = cfht_sleep(atoi(argv[1]), atoi(argv[2]));

    if (gotit == 1)
	printf("there was a signal\n");
    if (ret == -1)
	printf("early return\n");
}

    int
catch()
{
    signal(SIGINT, catch);
    gotit = 1;
}
