/****************************************************************************
    Copyright (C) 1991	Canada-France-Hawaii Telescope Corp.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact information:
    CFHT, PO Box 1597, Kamuela, HI 96743, USA
    daprog@cfht.hawaii.edu

****************************************************************************/
#include <cfht/cfht.h>
#include <stdio.h>

main()
{
    char *start = "\\000\\b\\f\\n\\t\\e\\8\\33t";
    char end[80];
    char middle[80];
    int size;

    cfht_fre(start, middle, &size);
    cfht_toe(middle, end, size);
    if (strcmp(start, end))
	printf("different\n");
    printf("start '%s'\nmiddle 'Y", start);
    fflush(stdout);
    write(1, middle, size);
    printf("Z'\nend '%s'\n", end);
}
